### Method

# GUsb Device set_configuration

since: 0.1.0

#### Declaration

    gboolean
    g_usb_device_set_configuration (
      GUsbDevice* self,
      gint configuration,
      GError** error
    )

#### Description

Set the active bConfigurationValue for the device.

Warning: this function is synchronous.

Available since: 0.1.0

#### Parameters

`configuration`

  Type: `gint`

  The configuration value to set.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success.